commit:     e45e7e6782ca6eb3df55694f6ad64efa649fc16b
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 20 07:55:19 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Apr 20 07:59:14 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e45e7e67

app-portage/elogviewer: [QA] Add missing python metadata variables

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 app-portage/elogviewer/elogviewer-0.6.2-r3.ebuild | 6 ++++--
 app-portage/elogviewer/elogviewer-2.1-r1.ebuild   | 5 +++--
 app-portage/elogviewer/elogviewer-2.1-r2.ebuild   | 5 +++--
 app-portage/elogviewer/elogviewer-2.6-r1.ebuild   | 6 ++++--
 app-portage/elogviewer/elogviewer-2.6-r2.ebuild   | 5 +++--
 app-portage/elogviewer/elogviewer-2.6.ebuild      | 6 ++++--
 app-portage/elogviewer/elogviewer-2.7.ebuild      | 5 ++---
 7 files changed, 23 insertions(+), 15 deletions(-)

diff --git a/app-portage/elogviewer/elogviewer-0.6.2-r3.ebuild 
b/app-portage/elogviewer/elogviewer-0.6.2-r3.ebuild
index b5cb2e9bb19..6fce12fae39 100644
--- a/app-portage/elogviewer/elogviewer-0.6.2-r3.ebuild
+++ b/app-portage/elogviewer/elogviewer-0.6.2-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -15,9 +15,11 @@ LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 ppc sparc x86 ~x86-fbsd"
 IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 DEPEND=""
-RDEPEND=">=sys-apps/portage-2.1
+RDEPEND="${PYTHON_DEPS}
+       >=sys-apps/portage-2.1
        >=dev-python/pygtk-2.0"
 
 S="${WORKDIR}"

diff --git a/app-portage/elogviewer/elogviewer-2.1-r1.ebuild 
b/app-portage/elogviewer/elogviewer-2.1-r1.ebuild
index d21a82bb6cd..3114fd66c64 100644
--- a/app-portage/elogviewer/elogviewer-2.1-r1.ebuild
+++ b/app-portage/elogviewer/elogviewer-2.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="5"
@@ -14,8 +14,9 @@ LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 ppc ~sparc x86 ~x86-fbsd"
 IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
-RDEPEND="
+RDEPEND="${PYTHON_DEPS}
                || ( dev-python/PyQt4[${PYTHON_USEDEP},X]
                        dev-python/pyside[${PYTHON_USEDEP},X] )
                >=sys-apps/portage-2.1

diff --git a/app-portage/elogviewer/elogviewer-2.1-r2.ebuild 
b/app-portage/elogviewer/elogviewer-2.1-r2.ebuild
index ab96aeadbfd..99ffb815d93 100644
--- a/app-portage/elogviewer/elogviewer-2.1-r2.ebuild
+++ b/app-portage/elogviewer/elogviewer-2.1-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="5"
@@ -14,8 +14,9 @@ LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 ppc ~sparc x86 ~x86-fbsd"
 IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
-RDEPEND="
+RDEPEND="${PYTHON_DEPS}
                || ( dev-python/PyQt4[${PYTHON_USEDEP},X]
                        dev-python/pyside[${PYTHON_USEDEP},X] )
                >=sys-apps/portage-2.1

diff --git a/app-portage/elogviewer/elogviewer-2.6-r1.ebuild 
b/app-portage/elogviewer/elogviewer-2.6-r1.ebuild
index 5d3bfd46ddc..8d9faf87689 100644
--- a/app-portage/elogviewer/elogviewer-2.6-r1.ebuild
+++ b/app-portage/elogviewer/elogviewer-2.6-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -14,8 +14,10 @@ LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 ppc ~sparc x86 ~x86-fbsd"
 IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
-RDEPEND="|| (
+RDEPEND="${PYTHON_DEPS}
+       || (
                dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
                dev-python/PyQt4[${PYTHON_USEDEP},X]
                dev-python/pyside[${PYTHON_USEDEP},X] )

diff --git a/app-portage/elogviewer/elogviewer-2.6-r2.ebuild 
b/app-portage/elogviewer/elogviewer-2.6-r2.ebuild
index 62a19a9a93a..b67fd641e6d 100644
--- a/app-portage/elogviewer/elogviewer-2.6-r2.ebuild
+++ b/app-portage/elogviewer/elogviewer-2.6-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -17,8 +17,9 @@ LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
 IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
-RDEPEND="
+RDEPEND="${PYTHON_DEPS}
        || (
                dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
                dev-python/PyQt4[${PYTHON_USEDEP},X]

diff --git a/app-portage/elogviewer/elogviewer-2.6.ebuild 
b/app-portage/elogviewer/elogviewer-2.6.ebuild
index 9066b46bfd0..6719d8244ef 100644
--- a/app-portage/elogviewer/elogviewer-2.6.ebuild
+++ b/app-portage/elogviewer/elogviewer-2.6.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -14,8 +14,10 @@ LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 ppc ~sparc x86 ~x86-fbsd"
 IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
-RDEPEND="|| (
+RDEPEND="${PYTHON_DEPS}
+       || (
                dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
                dev-python/PyQt4[${PYTHON_USEDEP},X]
                dev-python/pyside[${PYTHON_USEDEP},X] )

diff --git a/app-portage/elogviewer/elogviewer-2.7.ebuild 
b/app-portage/elogviewer/elogviewer-2.7.ebuild
index 0a8ab617a0a..c76c2f740c0 100644
--- a/app-portage/elogviewer/elogviewer-2.7.ebuild
+++ b/app-portage/elogviewer/elogviewer-2.7.ebuild
@@ -17,8 +17,9 @@ LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ppc ~sparc ~x86 ~x86-fbsd"
 IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
-RDEPEND="
+RDEPEND="${PYTHON_DEPS}
        || (
                dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
                dev-python/PyQt4[${PYTHON_USEDEP},X]
@@ -32,8 +33,6 @@ RDEPEND="
 DEPEND="${RDEPEND}
        dev-python/setuptools[${PYTHON_USEDEP}]"
 
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
 DOC_CONTENTS="In order to use this software, you need to activate
 Portage's elog features.  Required is
        PORTAGE_ELOG_SYSTEM=\"save\"

Reply via email to